#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:32
# @File           : crud.py
# @IDE            : PyCharm
# @desc           : 数据访问层

from sqlalchemy.ext.asyncio import AsyncSession
from core.crud import DalBase
from . import models, schemas


class ProjectTrainDal(DalBase):

    def __init__(self, db: AsyncSession):
        super(ProjectTrainDal, self).__init__()
        self.db = db
        self.model = models.ProjectTrain
        self.schema = schemas.ProjectTrainSimpleOut
